#version unofficial MegaPOV 0.5;

#declare test_main_inc = off;

#declare OBJuvPOVmaxX =  .443653;
#declare OBJuvPOVminX = -.429938;
#declare OBJuvPOVmaxY =  .630864;
#declare OBJuvPOVminY =  0;
#declare OBJuvPOVmaxZ =  .41691;
#declare OBJuvPOVminZ = -.0348079;

#declare OBJuvPOV_Texture = texture
{
    pigment
    {
        image_map
        {
            png "main_p2"
        }
    }
    normal
    {
        bump_map
        {
            png "main_b"
			bump_size .5
        }
    }
}

#declare OBJuvPOV_Texture_OBJuvPOVskin = texture {OBJuvPOV_Texture}
#declare OBJuvPOV_Texture_OBJuvPOVnails = texture {OBJuvPOV_Texture
											finish {
												phong .3 phong_size 30
												/*reflection .2
												reflection_blur .3
												reflection_samples 10*/ }
}

#declare Main =
object
{
    #include "main.msh"
    rotate y*90
    scale 18/(OBJuvPOVmaxX - OBJuvPOVminX)
}


#if (test_main_inc)

camera {
    location < -3, 3,-3>*10
    angle 30
    look_at < 0, .6, .2>
}
light_source { <-2.14969, 3.15432,-.1740395>*100 rgb<1,1,1>*.75}
light_source { < 2.218265, 3.15432,-.1740395>*100 rgb<1,1,1>*.25}
background {rgb<0.5,0.5,0.5>}

#declare T_Souris = texture {
		pigment { color rgb <.95,.93, .90> }
		normal { granite .1 scale .01 }
		finish { phong .1 phong_size 10 brilliance .8 }
}

#declare Base_Souris = difference {
	blob {
		threshold .2
		cylinder { <0,-.2,-2>, <0,.5/.9,-2>, 4, 1 scale <1,.9,1.5> rotate -y*10 }
		cylinder { <-.2,-.2, 1>, <-.2,.5/.9, 1>, 4, .8 scale <1,.7,1.5> }
	}
	plane { y, 0 }
}

#declare Souris_Corps = union {
	difference {
		object { Base_Souris }
		plane {  y,   0 }
		plane { -y, -.4 }
	}
	object { Base_Souris scale <.95,.99,.95>}
	difference {
		object { Base_Souris }
		plane { y, .5 }
		box { <-6, .7, 2>, <6, 3, 8> }
	}
	intersection {
		object { Base_Souris scale <1.00, 1, 1.02> }
		box { <-6, .75, 2.05>, <-.54, 3, 8> }
	}
	intersection {
		object { Base_Souris scale <1.00, 1, 1.02> }
		box { <-.46, .75, 2.05>, <6, 3, 8> }
	}
}

union {
	object { Souris_Corps texture { T_Souris } }
        object { Main rotate -z*10 rotate -x*5 rotate y*10 translate <-4.7,-7,-2> }
}



#end
